<?php
namespace Bss\InventoryReportCustom\Ui\Component\Listing\Column;

class QtyChange extends \Bss\InventoryReport\Ui\Component\Listing\Column\AbstractColumn
{
    /**
     * Prepre Column Qty Change
     *
     * @param array $item
     * @return string[]
     */
    protected function _prepareItem(array &$item)
    {
        if (isset($item['report_id'])) {
            $qtyChange = $item['qty_change'];
            if ($qtyChange === null || $qtyChange == 0) {
                return $item[$this->getData('name')] = null;
            }
            $qtyChange = number_format($qtyChange);
            if ($qtyChange > 0) {
                $item[$this->getData('name')] = '+ ' . $qtyChange;
            } else {
                $qtyChange = abs($qtyChange);
                $item[$this->getData('name')] = '- ' . $qtyChange;
            }
        }
        return $item;
    }
}
