<?php
namespace Bss\InventoryReportCustom\Ui\Component\Listing\Column;

class SaleableQtyChange extends \Bss\InventoryReport\Ui\Component\Listing\Column\AbstractColumn
{
    /**
     * Prepre Column Salable Qty Change
     *
     * @param array $item
     * @return string[]
     */
    protected function _prepareItem(array &$item)
    {
        if (isset($item['report_id'])) {
            $saleableQtyChange = $item['saleable_qty_change'];
            if ($saleableQtyChange === null || $saleableQtyChange == 0) {
                return $item[$this->getData('name')] = null;
            }
            $saleableQtyChange = number_format($saleableQtyChange);
            if ($saleableQtyChange > 0) {
                $item[$this->getData('name')] = '+ ' . $saleableQtyChange;
            } else {
                $saleableQtyChange = abs($saleableQtyChange);
                $item[$this->getData('name')] = '- ' . $saleableQtyChange;
            }
        }
        return $item;
    }
}
